export const name = "Announce Slam Dunks";
export const description = "Get hype when a file has slam dunks";

export const step = ({ entries, options, ...rest }) => {
  const { dunks } = options;
  const slamDunkKey = dunks?.key ?? "slamDunks";

  for (const entry of entries) {
    if (slamDunkKey in entry.data) {
      console.log(`Slam dunk!`);
    }
  }

  return {
    entries,
    options,
    ...rest,
  };
};
